ECHO OFF
IF %1==DOC GOTO DOCINSTALL
CLS
ECHO       ProFile Professional Filing System Version 2
ECHO       Installation Batch File
echo                         ---
echo.      .
ECHO       Are you installing this program from a floppy drive?
echo.      .
echo                         ---
ECHO       ENTER Y (YES installing from Floppy ) or N (NO installing from hard disk)
ECHO       OR PRESS [ENTER] TO EXIT
ECHO       CHOICES    Y N
KEYPRESS Y N
IF ERRORLEVEL==2 GOTO HARDDISK
IF ERRORLEVEL==1 GOTO FLOPPY
GOTO STOP
:HARDDISK
SET HARD=YES
SET FLOP=
CLS
ECHO       ProFile Professional Filing System Version 2
ECHO       Installation Batch File
echo                         ---
echo.      .
echo                  INSTALLING FROM HARD DRIVE
echo.      .
echo.      .
echo       This program will uncompress all of the ProFile Files.
ECHO       The ProFile Program and Documentation files should be located
ECHO       in the current directory for this installation program to work properly.
echo                         ---
ECHO       IF THEY'RE NOT, OR YOU'RE NOT READY, PRESS CONTROL-C. OTHERWISE,
ECHO ON
Pause
ECHO OFF
GOTO HARD2

:FLOPPY
SET FLOP=A:
SET HARD=NO
CLS
ECHO       ProFile Professional Filing System Version 2
ECHO       Hard Disk Installation Batch File
echo                         ---
echo.      .
echo             INSTALLING FROM FLOPPY DRIVE A:
echo.      .
echo.      .
ECHO       This program will create a subdirectory called PROFILE on
ECHO       your hard disk and copy all files to it.
echo                         ---
ECHO       PLEASE ENTER THE LETTER OF YOUR HARD DISK DRIVE
ECHO       OR PRESS [ENTER] TO EXIT
ECHO       CHOICES    C  D  E  F  G  H
KEYPRESS C D E F G H
IF ERRORLEVEL==6 GOTO H
IF ERRORLEVEL==5 GOTO G
IF ERRORLEVEL==4 GOTO F
IF ERRORLEVEL==3 GOTO E
IF ERRORLEVEL==2 GOTO D
IF ERRORLEVEL==1 GOTO C
GOTO STOP
:H
SET DISK=H:
GOTO CONT
:F
SET DISK=F:
GOTO CONT
:E
SET DISK=E:
GOTO CONT
:D
SET DISK=D:
GOTO CONT
:C
SET DISK=C:
:CONT
echo.      .
ECHO       HARD DISK IS %DISK%
echo.      .
ECHO       IF IT'S NOT, OR YOU'RE NOT READY, PRESS CONTROL-C. OTHERWISE,
ECHO ON
Pause
%DISK%
CD\
MD PROFILE
CD\PROFILE
REN PF.COM PF13.COM
REN PF.HLP PF13.HLP
COPY A:*.*
REM
REM        DATABASE AND DOCUMENTATION FILES COPIED
ECHO OFF
INSTALL DOC UNPACK
:DOCINSTALL
ECHO OFF
CLS
ECHO        The PROGRAM files will now be unpacked to the hard disk.
ECHO                             ---
ECHO        REMOVE THE DOCUMENTATION DISK FROM DRIVE A: AND INSERT
ECHO        THE PROGRAM DISK NOW
ECHO                             ---
ECHO        IF YOU'RE NOT READY, PRESS CONTROL-C.  OTHERWISE,
ECHO ON
PAUSE
:HARD2
ECHO OFF
ECHO        Unpacking Program files
%FLOP%PROFILE
IF %HARD%==YES GOTO NEXTL3
COPY PFBATCH.TXT %DISK%\PF.BAT
DEL PFBATCH.TXT
ECHO OFF
ECHO        .
ECHO        PROGRAM FILES COPIED
IF %2==NOUNPACK GOTO THEND

:NEXTL3
ECHO        .
ECHO        THE EXAMPLE DATABASES AND UTILITY PROGRAMS WILL NOW BE UNPACKED.
ECHO        .
ECHO        TO CANCEL UNPACKING, PRESS CONTROL-C.  OTHERWISE,
ECHO ON
PAUSE
ECHO OFF
ECHO        Unpacking Examples
EXAMPLE
ECHO
ECHO        THE MANUAL WILL NOW BE UNPACKED.
ECHO        .
ECHO        TO CANCEL UNPACKING, PRESS CONTROL-C.  OTHERWISE,
ECHO ON
PAUSE
ECHO OFF
MANUAL
:THEND
echo off
echo        END OF INSTALLATION PROGRAM
echo        Type PF and [ENTER] to use ProFile!
echo        .
IF %HARD%==YES GOTO NEXTL1
echo        Print the documentation by changing directories
echo        to %DISK%\PROFILE and typing PRINTDOC [ENTER]
echo        .
:NEXTL1
echo off
echo        See PF-READ.ME for WHAT'S NEW and more details.
echo        .
If %HARD%==YES GOTO STOP
:STOP
ECHO ON
